package com.hammurapi.extract;

/**
 * Extractors which computes value using two extractors - left extractor and right extractor. 
 * @author Pavel Vlasov
 *
 */
public interface BinaryExtractor<T,V,C> {
	
	Extractor<T,V,C> getLeftExtractor();

	Extractor<T,V,C> getRightExtractor();
}
